Skip to main content
GET
List Coding Task Usage

Authorizations

Authorization
string
header
required

The API key to authenticate requests. Obtainable from the web dashboard.

Query Parameters

limit
integer<int32>

Limit used to constrain results of list operations. When not specified a default limit of 100 is used.

A maximum limit is applied to the results, so the server may respond with fewer results than requested; clients must not use this as a signal that this is the final page of results.

Required range: 1 <= x <= 200
after
string

Opaque cursor for continuing after a previous page. Follow the URL marked rel="next" in the Link response header to obtain it; do not construct or parse the cursor.

Opaque cursor to be used for paging in a forward or backward direction. Cursors are stateless and so they never expire.

Required string length: 1 - 10000

Response

OK

taskReference
string
required

User-visible coding task reference.

Example:

"UNB-123"

user
object
required

The user who requested a coding task.

creditsUsed
number<double>
required

Marked-up, quantized credits consumed by the coding task.

Example:

12.3

wallClockDurationSeconds
integer<int64>
required

Elapsed wall-clock time from task start to successful completion, in whole seconds.

Example:

842

createdAt
string<date-time>
required

Time the coding task was created, formatted as an RFC 3339 date-time with a UTC offset.

Example:

"2026-10-15T21:49:30Z"

startedAt
string<date-time>
required

Time the coding task started, formatted as an RFC 3339 date-time with a UTC offset.

Example:

"2026-10-15T21:50:02Z"

completedAt
string<date-time>
required

Time the coding task completed successfully, formatted as an RFC 3339 date-time with a UTC offset.

Example:

"2026-10-15T22:04:04Z"

pullRequests
object[]
required

Pull requests associated with the coding task, in creation order.